Fish_ActivityKillCrabLifeValueCFG = {}

function Fish_ActivityKillCrabLifeValueCFG:getData(key)
	if self.datas == nil then
		return nil
	end
	return self.datas[key]
end

function Fish_ActivityKillCrabLifeValueCFG:init()
	self.datas = {}
	self.datas[1] = {ID = 1, LifeValue = 10000, RewardItem = {23}, RewardCount = {1}, NextLife = 2}
	self.datas[2] = {ID = 2, LifeValue = 25000, RewardItem = {24}, RewardCount = {1}, NextLife = 3}
	self.datas[3] = {ID = 3, LifeValue = 50000, RewardItem = {24}, RewardCount = {2}, NextLife = 4}
	self.datas[4] = {ID = 4, LifeValue = 100000, RewardItem = {24}, RewardCount = {4}, NextLife = 5}
	self.datas[5] = {ID = 5, LifeValue = 250000, RewardItem = {25}, RewardCount = {2}, NextLife = 6}
	self.datas[6] = {ID = 6, LifeValue = 500000, RewardItem = {26}, RewardCount = {2}, NextLife = 7}
	self.datas[7] = {ID = 7, LifeValue = 1000000, RewardItem = {94}, RewardCount = {2}, NextLife = 8}
	self.datas[8] = {ID = 8, LifeValue = 2000000, RewardItem = {27}, RewardCount = {2}, NextLife = 9}
	self.datas[9] = {ID = 9, LifeValue = 3000000, RewardItem = {96}, RewardCount = {1}, NextLife = 9}
end

Fish_ActivityKillCrabLifeValueCFG:init()
